<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Mitarbeiter\TeilnehmerInfo\NewTeilnehmer;


class NewTeilnehmerUseCase extends \Kufer\KuferTools\Basis\TeilnehmerInfo\NewTeilnehmer\NewTeilnehmerUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_MA;
  }

  public static function getToolSectionId()
  {
    
    
    
    return 42;
  }

  public function hasAccess($pToolSectionId = null)
  {
    
    
    if (!parent::hasAccess(41)) {
      return false;
    }
    
    if (!$this->isRechtAllowed('41.0.2')) {
      return false;
    }

    return true;
  }
}